Loading...
Searching...
No Matches
etl::bidirectional_link< ID_ > Struct Template Reference

A bidirectional link. More...

`#include <intrusive_links.h>`

## Public Types

enum | { ID = ID_ }

## Public Member Functions

ETL_CONSTEXPR | bidirectional_link (bidirectional_link *p_previous, bidirectional_link *p_next)
ETL_CONSTEXPR | bidirectional_link (const bidirectional_link &other)
ETL_CONSTEXPR14 bidirectional_link & | operator= (const bidirectional_link &other)
void | clear ()
ETL_NODISCARD bool | is_linked () const
ETL_NODISCARD bool | has_next () const
ETL_NODISCARD bool | has_previous () const
void | set_next (bidirectional_link *n)
void | set_next (bidirectional_link &n)
ETL_NODISCARD bidirectional_link * | get_next () const
void | set_previous (bidirectional_link *n)
void | set_previous (bidirectional_link &n)
ETL_NODISCARD bidirectional_link * | get_previous () const
void | reverse ()
void | unlink ()

## Public Attributes

bidirectional_link * | etl_previous
bidirectional_link * | etl_next

## Detailed Description

template<size_t ID_>
struct etl::bidirectional_link< ID_ >

A bidirectional link.

The documentation for this struct was generated from the following file:

- include/etl/intrusive_links.h